Package org.eclipse.mat.snapshot.registry

## Class RequestDetailResolverRegistry

- java.lang.Object
- - org.eclipse.mat.util.RegistryReader<D>
  - - org.eclipse.mat.snapshot.registry.SubjectRegistry<IRequestDetailsResolver>
    - - org.eclipse.mat.snapshot.registry.RequestDetailResolverRegistry

All Implemented Interfaces:
  `IExtensionChangeHandler`

    public final class RequestDetailResolverRegistry
    extends SubjectRegistry<IRequestDetailsResolver>

### Method Summary

All Methods Static Methods Concrete Methods
`static RequestDetailResolverRegistry` `instance()`

### Methods inherited from class org.eclipse.mat.snapshot.registry.SubjectRegistry

`createDelegate, getKeys, lookup`

### Methods inherited from class org.eclipse.mat.util.RegistryReader

`addExtension, delegates, removeExtension`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### instance

    public static final RequestDetailResolverRegistry instance()